package com.dumpster.cleaner

/**
 *Create by SleepDog on 2024-12-24
 */
object GlobalConfig {
    //包名
    const val PACKAGE_NAME = "com.dumpster.cleaner.tbt"

    // 域名
    /**
     * Url Event 上报接口
     */
    const val URL_EVENT = "https://rp.kubukubanten.xyz"

    /**
     * Url Api 业务接口
     */
    const val URL_API = "https://api.kubukubanten.xyz"

    /**
     * Url Privacy 隐私链接
     */
    const val URL_PRIVACY = "https://sites.google.com/view/dumpster-cleaner/dumpster-cleaner"

    /**
     * Url Use 使用条款
     */
    const val URL_USE = "https://sites.google.com/view/dumpster-cleaner/dumpster-cleaner"

    /**
     * Key Aes 加密key
     */
    const val KEY_AES = "d1mnzmn2cs20xpmx"

    /**
     * Key solar 归因key
     */
    const val KEY_SOLAR = ""

    // admob广告位id
    inline val ID_ADMOB_APPLICATION get() = if (BuildConfig.DEBUG) "ca-app-pub-3940256099942544~3347511713" else "ca-app-pub-3940256099942544~3347511713"
    inline val ID_ADMOB_INTER get() = if (BuildConfig.DEBUG) "ca-app-pub-3940256099942544/1033173712" else "ca-app-pub-3940256099942544/1033173712"
    inline val ID_ADMOB_NATIVE get() = if (BuildConfig.DEBUG) "ca-app-pub-3940256099942544/2247696110" else "ca-app-pub-3940256099942544/2247696110"
    inline val ID_ADMOB_OPEN get() = if (BuildConfig.DEBUG) "ca-app-pub-3940256099942544/9257395921" else "ca-app-pub-3940256099942544/9257395921"
    inline val ID_ADMOB_BANNER get() = if (BuildConfig.DEBUG) "ca-app-pub-3940256099942544/9214589741" else "ca-app-pub-3940256099942544/9214589741"
    inline val ID_ADMOB_REWARD get() = if (BuildConfig.DEBUG) "ca-app-pub-3940256099942544/5224354917" else "ca-app-pub-3940256099942544/5224354917"


    // max广告位id
    inline val KEY_MAX get() = if (BuildConfig.DEBUG) "GGPreND6SRmCt1zJgn5faiLGD8c2PVGPLgPpSg7cHanVTud1DhtuI9MmteTqlEviaJ57WnxW68kQDaATJ5z3cW" else "GGPreND6SRmCt1zJgn5faiLGD8c2PVGPLgPpSg7cHanVTud1DhtuI9MmteTqlEviaJ57WnxW68kQDaATJ5z3cW"
    inline val ID_MAX_INTER get() = if (BuildConfig.DEBUG) "3a9efc39d536ffe6" else "3a9efc39d536ffe6"
    inline val ID_MAX_NATIVE get() = if (BuildConfig.DEBUG) "cc0cc5b36a2608ca" else "cc0cc5b36a2608ca"
    inline val ID_MAX_OPEN get() = if (BuildConfig.DEBUG) "ad4efa4a0bc2a585" else "ad4efa4a0bc2a585"
    inline val ID_MAX_BANNER get() = if (BuildConfig.DEBUG) "" else ""
    inline val ID_MAX_REWARD get() = if (BuildConfig.DEBUG) "" else ""
}